> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.astropods.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.astropods.com/_mcp/server.

# Switch deployment chat branch

PUT https://astropods.com/api/v1/deployments/{id}/chat/conversations/{conversationId}/branch
Content-Type: application/json

Reference: https://docs.astropods.com/api-reference/astropods-api/chat/switch-deployment-chat-branch

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `id` (string, required) — Deployment ID
- `conversationId` (string, required) — Conversation ID

### Body (application/json)

This endpoint expects a SwitchChatBranchInput.

- `message_id` (string, optional)

## Response

### 200

OK

- `assistant_streaming` (boolean, optional)
- `conversation_id` (string, optional)
- `has_more` (boolean, optional)
- `messages` (list of ChatMessageResponse, optional)
- `oldest_seq` (integer, optional)
- `pending_interactions` (list of ChatInteraction, optional) — Requests from the agent still waiting on the user.
- `source_label` (string, optional)
- `source_url` (string, optional)
- `title` (string, optional)
- `updated_at` (datetime, optional)

## Errors

### 404 Not Found Error

Not Found

- `code` (string, optional)
- `details` (string, optional)
- `error` (string, optional)

### 409 Conflict Error

Conflict

- `code` (string, optional)
- `details` (string, optional)
- `error` (string, optional)

## Types

### ChatMessageResponse

- `attachments` (list of ChatFileAttachment, optional)
- `author` (string, optional) — The original sender of a turn in a copied-in conversation.
- `branches` (list of string, optional) — This message and its alternatives, oldest first.
- `content` (string, optional)
- `id` (string, optional)
- `role` (string, optional)

### ChatInteraction

- `actions` (list of string, optional)
- `dataSchema` (any, optional)
- `id` (string, optional)
- `intent` (string, optional)
- `kind` (string, optional)
- `message` (string, optional)
- `type` (string, optional)
- `value` (any, optional)

### ChatFileAttachment

- `content_type` (string, optional)
- `key` (string, optional)
- `name` (string, optional) — User-facing filename.
- `size` (long, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "assistant_streaming": true,
  "conversation_id": "string",
  "has_more": true,
  "messages": [
    {
      "attachments": [
        {
          "content_type": "string",
          "key": "string",
          "name": "string",
          "size": 1
        }
      ],
      "author": "string",
      "branches": [
        "string"
      ],
      "content": "string",
      "id": "string",
      "role": "string"
    }
  ],
  "oldest_seq": 1,
  "pending_interactions": [
    {
      "actions": [
        "string"
      ],
      "id": "string",
      "intent": "string",
      "kind": "string",
      "message": "string",
      "type": "string"
    }
  ],
  "source_label": "string",
  "source_url": "string",
  "title": "string",
  "updated_at": "2024-01-15T09:30:00Z"
}
```

**SDK Code**

```python
import requests

url = "https://astropods.com/api/v1/deployments/id/chat/conversations/conversationId/branch"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://astropods.com/api/v1/deployments/id/chat/conversations/conversationId/branch';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://astropods.com/api/v1/deployments/id/chat/conversations/conversationId/branch"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://astropods.com/api/v1/deployments/id/chat/conversations/conversationId/branch")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://astropods.com/api/v1/deployments/id/chat/conversations/conversationId/branch")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://astropods.com/api/v1/deployments/id/chat/conversations/conversationId/branch', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://astropods.com/api/v1/deployments/id/chat/conversations/conversationId/branch");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://astropods.com/api/v1/deployments/id/chat/conversations/conversationId/branch")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```